#![feature(never_type)] 

#![allow(dead_code)]

use serde::{Serialize, Deserialize};

use jemallocator::Jemalloc;

#[global_allocator]
static GLOBAL: Jemalloc = Jemalloc;

macro_rules! io_err {
    ($kind:ident, $msg:expr) => {
	::std::io::Error::new(::std::io::ErrorKind::$kind, $msg)
    };
    ($msg:expr) => (io_err!(Other, $msg));
}

mod slice;
mod data;

fn main() {
    println!("Hello, world!");
}
